Get calendar events
curl --request GET \
--url https://app.keupera.com/api/v1/articles/calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.keupera.com/api/v1/articles/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.keupera.com/api/v1/articles/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"date": "2023-11-07T05:31:56Z",
"status": "<string>",
"pipeline_status": "<string>",
"article_type": "<string>",
"volume": 123,
"difficulty": 123
}
]
}{
"error": "Missing required field: keywords"
}{
"error": "Invalid or missing API key"
}Content
Get calendar events
Returns scheduled article events within a date range.
GET
/
articles
/
calendar
Get calendar events
Authorizations
Pass your Keupera API key as a Bearer token: Authorization: Bearer YOUR_KEUPERA_API_KEY. Generate keys from Account → API Keys in your Keupera dashboard.
Query Parameters
Target website. Defaults to the website bound to your API key. Must belong to one of your organizations.
Start date (ISO format).
End date (ISO format).
Response
Calendar events.
Show child attributes
Show child attributes
⌘I